package gmt.protocol.ext.VO;

import gmt.common.util.GmtUtils;

import java.time.LocalDateTime;

public class ExtMsg_SYN01VO {
	private String msg;
	private String packetType;
	private int syncCode;             //동기화구분..  0: None. 1 : 시간동기화서버, 2 : 해당 기지국 GPS 동기화, 3 : 인근기지국 GPS동기화, 9:기타
	private String syncBSID;
	private LocalDateTime syncDT;
	
	public ExtMsg_SYN01VO() {
		this.msg = "";
		this.packetType = "";
		this.syncCode = 0;
		this.syncBSID = "";
		this.syncDT = GmtUtils.defaultTime();
	}
	
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}
	public int getSyncCode() {
		return syncCode;
	}
	public void setSyncCode(int syncCode) {
		this.syncCode = syncCode;
	}	
	public String getSyncBSID() {
		return syncBSID;
	}
	public void setSyncBSID(String syncBSID) {
		this.syncBSID = syncBSID;
	}	
    public LocalDateTime getSyncDT() {
    	return syncDT;
    }
    public void setSyncDT(LocalDateTime syncDT) {
    	this.syncDT = syncDT;
    }	
}
